TagFileXml (Apache Tomcat 10.0.20 API Documentation)

Package org.apache.tomcat.util.descriptor.tld

## Class TagFileXml

- java.lang.Object
- - org.apache.tomcat.util.descriptor.tld.TagFileXml

-     public class TagFileXml
      extends Object

  Bare-bone model of a tag file loaded from a TLD. This does not contain the tag-specific attributes that requiring parsing the actual tag file to derive.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TagFileXml()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDisplayName()` |
    `String` | `getInfo()` |
    `String` | `getLargeIcon()` |
    `String` | `getName()` |
    `String` | `getPath()` |
    `String` | `getSmallIcon()` |
    `void` | `setDisplayName​(String displayName)` |
    `void` | `setInfo​(String info)` |
    `void` | `setLargeIcon​(String largeIcon)` |
    `void` | `setName​(String name)` |
    `void` | `setPath​(String path)` |
    `void` | `setSmallIcon​(String smallIcon)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagFileXml

          public TagFileXml()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### getPath

          public String getPath()

    - #### setPath

          public void setPath​(String path)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName​(String displayName)

    - #### getSmallIcon

          public String getSmallIcon()

    - #### setSmallIcon

          public void setSmallIcon​(String smallIcon)

    - #### getLargeIcon

          public String getLargeIcon()

    - #### setLargeIcon

          public void setLargeIcon​(String largeIcon)

    - #### getInfo

          public String getInfo()

    - #### setInfo

          public void setInfo​(String info)